from circadapt.components import Component

class Timings(Component):
    """
    Timings for whole heart simulations.

    This module sets timings for whole heart simulations. It is designed for
    hearts with 2 artia (Chambers) and 2 ventricles (TriSeg) which results in
    five walls: Left and Rigth atrial wall and Left, septal, and right
    ventricular wall.
    """

    parameters = [
        'timefac',
        'tauAv',
        'dTauAv',
        'law_tauAv',
        'law_Ra2La',
        'law_ta',
        'law_tv',
        'c_tauAv0',
        'c_tauAv1',
        ]

    signals = []


class PressureFlowControl(Component):
    """
    Pressure Flow Control
    """

    parameters = [
        'p0',
        'q0',
        'stable_threshold',
        'is_active',
        ]

    signals = []
