"""Solver objects."""

import numpy as np
from circadapt.components import General


class Solver(General):
    """Component object with no locations."""

    parameters = {
        'dt': 'Solver.dt',
        'dt_export': 'Solver.dt_export',
        'max_beats': 'Solver.max_beats',
        'store_beats': 'Solver.store_beats',
        'stable_beats_needed': 'Solver.stable_beats_needed',
        }

    signals = {
        't': 'Solver.t',
        't_real': 'Solver.t',
        }

    def __getitem__(self, arg: any) -> any:
        ret = super().__getitem__(arg)
        if arg == 't':
            ret -= ret[0]
        return ret
